image
from0.063 / img
Kling Image 4.0
Generate a coordinated series of 2–10 images from one prompt with Kling Image 4.0. Create storyboards, product collections or visual sequences at 2K, 4K or native 8K.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "kling-image/v4.0/text-to-image/series", { input: { "prompt": "A cinematic scene at sunset", "resolution": "2k", "aspect_ratio": "auto", "series_amount": 2 }, withPolling: true, },); console.log(result);Calling the API
Use kling-image/v4.0/text-to-image/series with the Higgsfield API. Keep credentials on your server.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "kling-image/v4.0/text-to-image/series", { input: { "prompt": "A cinematic scene at sunset", "resolution": "2k", "aspect_ratio": "auto", "series_amount": 2 }, withPolling: true, },); console.log(result);Request parameters
promptstring · required
Prompt
{
"type": "string",
"title": "Prompt",
"pattern": "\\S",
"maxLength": 50000,
"minLength": 1
}resolutionstring · optional
resolution
Options: 2k, 4k, 8k
Default: "2k"
{
"enum": [
"2k",
"4k",
"8k"
],
"type": "string",
"default": "2k"
}aspect_ratiostring · optional
aspect ratio
Options: 16:9, 9:16, 1:1, 4:3, 3:4, 3:2, 2:3, 21:9, auto
Default: "auto"
{
"enum": [
"16:9",
"9:16",
"1:1",
"4:3",
"3:4",
"3:2",
"2:3",
"21:9",
"auto"
],
"type": "string",
"default": "auto"
}series_amountinteger · required
Number of related images to generate. Charged per image.
{
"type": "integer",
"maximum": 10,
"minimum": 2,
"description": "Number of related images to generate. Charged per image."
}Price
From $0.0630 per image.
View all pricing